/* Create custom columns (30%, 60% 10%)*/
.custom-col-30 {
    width: 30%;
    display: block;
    /*padding: 0 5px;*/
    /*display: flex;*/
    /*flex-direction: column;*/
    /*justify-content: flex-start;*/
    /*align-items: flex-start;*/
}

.custom-col-60 {
    width: 60%;
    display: block;
    /*padding: 0 5px;*/
    /*display: flex;*/
    /*flex-direction: column;*/
    /*justify-content: flex-start;*/
    /*align-items: flex-start;*/
}

.custom-col-10 {
    width: 10%;
    display: block;
    /*padding: 0 5px;*/
    /*display: flex;*/
    /*flex-direction: column;*/
    /*justify-content: flex-start;*/
    /*align-items: flex-start;*/
}

/*noinspection CssUnusedSymbol*/
.set_filters_row_grid {
    line-height: 1.1rem;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

/* The Class style of each row that goes into a summary sheet --- want to style it so each row has an outline but does not overlap outlines */
/*noinspection CssUnusedSymbol*/
.committed-filter-summary-item {
    border-bottom: 1px solid var(--border_color_inputs);
    border-right: 1px solid var(--border_color_inputs);
    border-left: 1px solid var(--border_color_inputs);
    /*gap: 5px;*/
    /*display: flex;*/
    /*align-content: center;*/
    /*flex-wrap: nowrap;*/
    /*flex-direction: row;*/
    /*align-items: center;*/
    /*justify-content: flex-start;*/
}
/* add top border to only the first committed-filter-summary-item */
/*noinspection CssUnusedSymbol*/
.committed-filter-summary-item:first-child {
    border-top: 1px solid var(--border_color_inputs);
}


/*noinspection CssUnusedSymbol*/
.committed-filter-summary-div {
    border-width: 1px 0 0 0;
    border-style: solid;
    border-color: var(--border_color_inputs);
    padding: 10px 0 0 0;
    margin: 5px 0 0 0;
    display: block;
}

/*noinspection CssUnusedSymbol*/
.committed-filter-summary-div.hide {
    display: none;
}

/*noinspection CssUnusedSymbol*/
.committed-filter-text {
    font-size: 10px;
    color: var(--text_002);
    background-color: transparent;
    /*border: 1px solid var(--border_color_inputs);*/
    display: flex;
    width: 100%;
    flex-wrap: nowrap;
    align-items: flex-start;
    justify-content: flex-start;
    padding: 2px 5px;
    height: 19px !important;
    overflow: hidden;
}

/*noinspection CssUnusedSymbol*/
.committed-filter-text.filter_in {
    color: white;
    background-color: rgba(139, 169, 72, 0.80);
}

/*noinspection CssUnusedSymbol*/
.committed-filter-text.filter_not_in {
    color: white;
    background-color: rgba(167, 25, 25, 0.8);
}

/*noinspection CssUnusedSymbol*/
.committed-filter-text.filter_contains {
    color: white;
    background-color: rgba(0, 0, 255, 0.25);
}

/*noinspection CssUnusedSymbol*/
.committed-filter-text.filter_not_contains {
    color: white;
    background-color: rgba(255, 255, 0, 0.25);
}

.filter-hovercard-body {
    font-size: 10px;
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    max-width: 250px;
    min-width: 150px;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
}
/*.mantine-Tooltip-tooltip {*/
/*    !*display: flex;*!*/
/*    !*flex-wrap: wrap;*!*/
/*    !*flex-direction: row;*!*/
/*    !*white-space: break-spaces;*!*/
/*    !*font-size: 11px;*!*/
/*    !*padding: 5px;*!*/
/*    !*background-color: var(--primary);*!*/
/*    !*!*width: 100% !important;*!*!*/
/*}*/
/* adjust formatting when class contains the words filter_tooltip*/
.mantine-Tooltip-tooltip {
    display: flex;
    flex-wrap: wrap;
    max-width: 250px;
    min-width: 150px;
    flex-direction: row;
    white-space: break-spaces;
    font-size: 11px;
    padding: 5px;
    background-color: var(--primary);
}


/*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< REMOVE FILTER BUTTONS >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*/
.filter-remove-button {
    margin: 0 !important;
    font-size: 14px;
    text-align: center;
    text-decoration: none;
    box-sizing: border-box;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text_001) !important;
    position: relative;
    height: 24px;
    min-height: 24px;
    width: 24px;
    min-width: 24px;
  /*height: 100% !important;*/
  /*min-height: 100% !important;*/
  /*width: 100% !important;*/
  /*min-width: 100% !important;*/
    border-radius: 18px;
    padding: 0;
    line-height: unset;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}
.filter-remove-button:hover {
  background-color: transparent;
  transform: scale(1.1);
}

.filter-add-button {
    margin: 0 !important;
    font-size: 16px;
    text-align: center;
    text-decoration: none;
    box-sizing: border-box;
    border: 1px solid transparent;
    background-color: transparent !important;
    color: var(--blue_alert) !important;
    vertical-align: middle;
    height: 24px;
    min-height: 24px;
    width: 100%;
    min-width: 100%;
    border-radius: 3px;
    padding: 0;
    line-height: inherit;
    display: block;
}
.filter-add-button:hover {
    color: var(--blue_alert);
    transform: scale(1.2);
}

/*=======================================================================================*/
/*noinspection CssUnusedSymbol*/
.filter-committed-action-icons {}
.filter-in-icon,
.filter-eq {
    color: var(--grx_green);
    padding: 5px;
    margin: 0;
    height: 24px;
    width: 24px;
}
.filter-out-icon,
.filter-not-eq {
    color: var(--warning_red_button);
    padding: 5px;
    margin: 0;
    height: 24px;
    width: 24px;
}

.filter-gt {
    color: rgb(var(--rgb-values-alert-blue) / 80%);
    padding: 5px;
    margin: 0;
    height: 24px;
    width: 24px;
}
.filter-lt {
    color: rgb(var(--rgb-icon-blue) / 80%);
    padding: 5px;
    margin: 0;
    height: 24px;
    width: 24px;
}
.filter-lte {
    color: rgb(168 129 41  / 80%);
    padding: 5px;
    margin: 0;
    height: 24px;
    width: 24px;
}